RuntimeInfrastructure mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 System.Enum System.Flags System.Runtime.InteropServices.ComVisible(true)

This enumeration is used with the attribute.

You can specify multiple values by using the bitwise OR operator.

Locking on the instance or on the type, as with the flag, is not recommended for public types, because code other than your own can take locks on public types and instances. This might cause deadlocks or other synchronization problems.

Defines the details of how a method is implemented.

- Field
  4.0.0.0
  System.Runtime.CompilerServices.MethodImplOptions

  The method should be inlined if possible.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.CompilerServices.MethodImplOptions ForwardRef To be added.

  The method is declared, but its implementation is provided elsewhere.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.CompilerServices.MethodImplOptions InternalCall To be added.

  The call is internal, that is, it calls a method that is implemented within the common language runtime.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.CompilerServices.MethodImplOptions NoInlining To be added.

  The method cannot be inlined. Inlining is an optimization by which a method call is replaced with the method body.

  0
- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.CompilerServices.MethodImplOptions

  The method is not optimized by the just-in-time (JIT) compiler or by native code generation (see Ngen.exe) when debugging possible code generation problems.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.CompilerServices.MethodImplOptions PreserveSig To be added.

  The method signature is exported exactly as declared.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.CompilerServices.MethodImplOptions Synchronized To be added.

  The method can be executed by only one thread at a time. Static methods lock on the type, whereas instance methods lock on the instance. Only one thread can execute in any of the instance functions, and only one thread can execute in any of a class's static functions.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.CompilerServices.MethodImplOptions Unmanaged To be added.

  The method is implemented in unmanaged code.

  0
0